
/*
 * See the files COPYING and README for copyright information and how to reach 
 * the author.
 *
 *  $Id: setup.h,v 1.3 2004/12/02 15:02:52 lordjaxom Exp $
 */

#ifndef VDR_BURN_SETUP_H
#define VDR_BURN_SETUP_H

#include <vdr/menuitems.h>

struct cBurnSetup
{
    cBurnSetup(void);

    bool SetupParse(const char *Name, const char *Value);

    int CleanupLimit;
    int CreateArchiveMarks;
    int DiskType;
    int StoreMode;
    int ChaptersMode;
    int HidePathInfo;
    int RenderRecordingIndex;
    int UseIso2UTF;
    int VerifyAfterBurn;
};

extern cBurnSetup BurnSetup;

class cBurnMenuSetupPage:
    public cMenuSetupPage
{
  private:
    cBurnSetup mData;

  protected:
    virtual void Store(void);

  public:
    cBurnMenuSetupPage(void);
    virtual ~cBurnMenuSetupPage();
};

#define DVD_TYPE_DEV 1
#define DVD_TYPE_DIR 2

extern const char *Script;
extern const char *Datadir;
extern const char *DVDdev;
extern const char *ISOdir;

#endif // VDR_BURN_SETUP_H
